Skip to content

create_comment

POST
/rum/{app_id}/comments
curl --request POST \
--url https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "target": "example", "body": "example", "at_ms": 1, "mentions": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'
app_id
required
string format: uuid
Media type application/json
object
target
required

Session: or error:<16 hex fingerprint>.

string
body
required

Plain text, 1 to 10000 characters. Not HTML.

string
at_ms

Absolute UTC epoch milliseconds, only for session comments.

integer | null format: int64
mentions

Account user IDs, at most 20 distinct recipients.

Array<string>
Example generated
{
"target": "example",
"body": "example",
"at_ms": 1,
"mentions": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
]
}
Media type application/json
object
mention_delivery
One of:
null
id
required
string format: uuid
target
required
string
at_ms
integer | null format: int64
body
required
string
mentions
required
Array<string>
author_user_id
string | null format: uuid
author_name
string | null
resolved_at
string | null
created_at
required
string
edited_at
string | null
can_edit
required
boolean
Example generated
{
"mention_delivery": {
"queued": 1,
"failed": 1
},
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"target": "example",
"at_ms": 1,
"body": "example",
"mentions": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"author_user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"author_name": "example",
"resolved_at": "example",
"created_at": "example",
"edited_at": "example",
"can_edit": true
}

Invalid comment or mention

Session erased or inaccessible